%define major 2
%define libname %mklibname gexiv2_ %major
%define develname %mklibname -d gexiv2

Summary:	A GObject-based wrapper around the Exiv2 library
Name:		libgexiv2
Version:	0.6.1
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
Source0:	http://yorba.org/download/gexiv2/0.6/%{name}_%{version}.tar.xz
Patch1:		libgexiv2-0.5.0-link.patch
Url:		http://trac.yorba.org/wiki/gexiv2
BuildRequires:	libexiv-devel >= 0.21
BuildRequires:	glib2-devel
BuildRequires:	libtool
BuildRequires:	sed

%description
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %libname
Summary: A GObject-based wrapper around the Exiv2 library
Group: System/Libraries

%description -n %libname
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %develname
Group: Development/C
Summary: A GObject-based wrapper around the Exiv2 library
Requires: libexiv-devel >= 0.21
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%prep
%setup -q -n %{name}-%{version}
%apply_patches
sed -i -e 's#libdir=.*#libdir=${exec_prefix}/%{_lib}#' gexiv2.m4

%build
%configure2_5x
%make

%install
%makeinstall_std LIB=%{_lib}
rm -fr %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %develname
%{_includedir}/gexiv2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/gexiv2.vapi


%changelog

* Tue Apr 02 2013 dams <dams> 0.6.1-1.mga3
+ Revision: 407324
- new version 0.6.1

* Sat Jan 12 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 357207
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 dams <dams> 0.5.0-1.mga3
+ Revision: 314676
- new version 0.5.0

* Sun Aug 05 2012 dams <dams> 0.4.1-1.mga3
+ Revision: 278960
- new version 0.4.1
- rediff patch
- update major

* Mon Jun 18 2012 fwang <fwang> 0.3.92-2.mga3
+ Revision: 261683
- rebuild for new libexiv

* Wed Mar 21 2012 dams <dams> 0.3.92-1.mga2
+ Revision: 225276
- new version 0.3.92

* Tue Feb 21 2012 dams <dams> 0.3.91-1.mga2
+ Revision: 211563
- remove .la
- new version 0.3.91

* Sun Oct 09 2011 fwang <fwang> 0.3.1-1.mga2
+ Revision: 153404
- new version 0.3.1

* Thu Mar 24 2011 boklm <boklm> 0.3.0-5.mga1
+ Revision: 76169
- rebuild for bug #497

* Thu Mar 10 2011 mikala <mikala> 0.3.0-4.mga1
+ Revision: 67683
- Add Requires for libexiv-devel on -devel package

* Thu Mar 10 2011 mikala <mikala> 0.3.0-3.mga1
+ Revision: 67592
- Remove BuildRoot
- imported package libgexiv2


* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 0.3.0-2mdv2011.0
+ Revision: 640542
- update BR
- rebuild to obsolete old packages

* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 0.3.0-1
+ Revision: 634101
- New version 0.3.0

* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 0.2.2-1
+ Revision: 634083
- update to new version 0.2.2

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2011.0
+ Revision: 609601
- new version 0.2.1

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.1.0-2mdv2011.0
+ Revision: 565536
- bump rel
- import libgexiv2


